Z3 |

Public Member Functions
cast_ast< func_decl > Class Reference

`#include <z3++.h>`

## Public Member Functions
func_decl | operator() (context &c, Z3_ast a)

## Detailed Description

Definition at line 2171 of file z3++.h.

## Member Function Documentation

## ◆ operator()()

func_decl operator() | ( | context & | c,
|  | Z3_ast | a
| ) |  |
| inline

Definition at line 2173 of file z3++.h.

2173 {
2174 assert(Z3_get_ast_kind(c, a) == Z3_FUNC_DECL_AST);
2175 return func_decl(c, reinterpret_cast<Z3_func_decl>(a));
2176 }
Z3_FUNC_DECL_AST
@ Z3_FUNC_DECL_AST
Definition: z3_api.h:186
Z3_get_ast_kind
Z3_ast_kind Z3_API Z3_get_ast_kind(Z3_context c, Z3_ast a)
Return the kind of the given AST.